PETSc version 3.15.5
Fix/Edit manual page

# VecWhichEqual

Creates an index set containing the indices where the vectors Vec1 and Vec2 have identical elements.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecWhichEqual(Vec Vec1, Vec Vec2, IS *S)

Collective on Vec

### Input Parameters

| Vec1, Vec2 | - the two vectors to compare

### OutputParameter

| S | - The index set containing the indices i where vec1[i] == vec2[i]

### Notes

the two vectors must have the same parallel layout

### Level

advanced

### Location

src/vec/vec/utils/projection.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages